%define dist .fc6

%define glib2_version 2.3.0
%define gtk2_version 2.6.0
%define desktop_file_utils_version 0.9

Name:           gucharmap
Version:        1.8.0
Release:        1%{?dist}.XOS.1
Summary:        Unicode character picker and font browser

Group:          Applications/System
License:        GPL
URL:            http://live.gnome.org/Gucharmap
Source:         http://ftp.gnome.org/pub/gnome/sources/gucharmap/1.7/gucharmap-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= 2.13.2 
BuildRequires: libgnome-devel >= 2.13.7
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version} 
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: perl-XML-Parser

Requires(post):scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version} 
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version} 

%description
This program allows you to browse through all the available Unicode 
characters and categories for the installed fonts, and to examine their 
detailed properties. It is an easy way to find the character you might 
only know by its Unicode name or code point.

%package devel
Summary: Libraries and headers for libgucharmap
Group: Development/Libraries
Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: gucharmap = %{version}-%{release}
Requires: pkgconfig

%description devel
The gucharmap-devel package contains header files and other resources
needed to use the libgucharmap library.

%prep
%setup -q


%build
%configure --disable-gtk-immodules --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT RUN_QUERY_IMMODULES_TEST=false

rm $RPM_BUILD_ROOT/%{_libdir}/*.la

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang gucharmap


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%postun
/sbin/ldconfig
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f gucharmap.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/charmap
%{_bindir}/gucharmap
%{_bindir}/gnome-character-map
%{_libdir}/libgucharmap.so.*
%{_datadir}/applications/gnome-gucharmap.desktop
%{_datadir}/icons/hicolor/48x48/apps/gucharmap.png
%{_datadir}/omf/gucharmap/
%{_datadir}/gnome/help/gucharmap/


%files devel
%defattr(-,root,root,-)
%{_includedir}/gucharmap
%{_libdir}/libgucharmap.so
%{_libdir}/pkgconfig/gucharmap.pc


%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.8.0-1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gucharmap-1.8.0-1.fc6.src.rpm
  (md5sum of original source rpm: 2fd7ac751348b96ab203a1a131366969).
- Include "dist" macro with value ".fc6" to match the original release number.

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 1.8.0-1
- Update to 1.8.0
- Require pgkconfig for the -devel package

* Thu Aug 02 2006 Matthias Clasen <mclasen@redhat.com> 
- Rebuild 

* Wed Aug 02 2006 Behdad Esfahbod <besfahbo@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.6.0-8.1
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-8
- Add missing BuildRequires

* Fri Jun  2 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-7
- Rebuild

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-6
- Make -devel require the exact n-v-r

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-5
- incorporate more package review feedback

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-4
- split off a -devel package

* Mon Apr 17 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-3
- fix issues pointed out in package review

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> 1.6.0-2
- Initial revision
